#!/bin/bash
#-----------------------------------------------------------
# recovers stream url or starts stream for account or stream
#-----------------------------------------------------------
# parameter 1 : the sound street account number
# parameter 2 : the stream capture and connection script
# parameter 3 : the sound street stream number
# parameter 4 : the stream start wait period
#-----------------------------------------------------------
if [ -z '$1' ]; then
	echo please specifiy the sound-street account number as the 1st parameter
	echo this should be a RDLZV or RDLZG prefixed soundstreet account number
	exit 1
fi

if [ -z '$2' ]; then
	echo please specify the stream capture script to be launched and connected
	echo to the currently active stream of the sound street account.
	exit 2
fi

if [ -z '$4' ]; then
	export period=120
else
	export period=$4
fi

rm -f /tmp/url.txt
wget -O /tmp/url.txt https://www.sound-street.com/ruedelazik/soundstreet_accountaudio.php?Account=$1 

if [ -f /tmp/url.txt ]; then

	cat /tmp/url.txt

	hostip=$(cat /tmp/url.txt | cut -f 3 -d /);

	if [ -z $hostip ]; then

		if [ -z '$3' ]; then

			echo no active stream has been found for the account : $1
			echo the stream connection has been abandoned.
			exit 3

		else
			echo "starting stream : " $3

			rm -f /tmp/stream.txt
			wget -O /tmp/stream.txt https://www.sound-street.com/ruedelazik/soundstreet_startaudio.php?Stream=$3

			if [ -f /tmp/stream.txt ]; then

				cat /tmp/stream.txt

				export hostip=$(cat /tmp/stream.txt | cut -f 1 -d '|' | cut -f 3 -d '/' );
				echo the specified stream ID : $3 has been started as host $hostip
				echo waiting $period seconds for stream origin to complete installation

				sleep $period
			else
				echo unable to start the specified stream ID : $3
				exit 5
			fi
		fi
	fi

	echo Account : $1
	echo Stream  : $hostip
	echo Script  : $2
	echo Stream  : $3

	bash $2 $hostip $3 $4 $6
else
	echo unable to retrieve a stream url for the specified account : $1
	exit 6
fi

# end of file

