#!/bin/bash
#--------------------------------------------
# FFMPEG TRANSFER
# ---------------
# Transfers input from the decklink card and
# transforms it to a suitable output format
# to be delivered out over TCP to the cloud
#--------------------------------------------
# This layer will also dump program to disk
#--------------------------------------------
if [ -z "$1" ]; then
	echo "input filename parameter 1 must be specified"
	echo "usage: bash ffmpeg_copy input output from to "
	exit
else
	input="-i $1"
fi

if [ -z "$2" ]; then
	echo "output filename parameter 2 must be specified"
	echo "usage: bash ffmpeg_copy input output from to "
	exit
else
	output=$2
fi

if [ -z "$3" ]; then
	from=" "
	to=" "
else
	from="-ss $3"
	if [ -z "$4" ]; then
		to=" "
	else
		to="-to $4"
	fi
fi

echo ffmpeg $input $from $to $output
ffmpeg $input $from $to $output

#-----------
#end of file
#-----------


