#!/bin/bash
#--------------------------------------------
# FFMPEG DASH
# -----------
# Transfers input from TCP to the DASH Live
# Streaming (DASH) format.
#--------------------------------------------

# read the common library
# -----------------------
. ./ffmpeg_common.sh

while [ true ]; do

	# backup the contents of the stream directory
        export backupname=stream-backup$(date +%s).tgz
        echo backup to to $backupname
        tar -czvf $backupname stream/*/*
        rm stream/*/* -f

	# bring the media processor online
        echo ./ffmpeg-dash-aac $tcpinput $dashformat $dashoutput $hlsformat $hlsoutput
        ./ffmpeg-dash-aac $tcpinput $dashformat $dashoutput $hlsformat $hlsoutput

done

#-----------
#end of file
#-----------
