#!/bin/bash
#-----------------------------------------------------------
# recovers the regional stream connection url
#-----------------------------------------------------------
# parameter 1 : the sound street account number
# parameter 2 : the stream capture and connection script
# parameter 3 : the stream region for the connection
#-----------------------------------------------------------
if [ -z '$1' ]; then
	echo please specifiy the sound-street account number as the 1st parameter
	echo this should be a RDLZV or RDLZG prefixed soundstreet account number
	exit 1
else
	export account=$1
fi

if [ -z '$2' ]; then
	echo please specify the stream capture script to be launched and connected
	echo to the currently active stream of the sound street account.
	exit 2
fi

if [ -z '$3' ]; then
	export region="EUROPE"
else
	export region=$3
fi

rm -f /tmp/url.txt
wget -O /tmp/url.txt https://www.sound-street.com/ruedelazik/soundstreet_regionaudio.php?Account=${account}\&Region=${region}

if [ -f /tmp/url.txt ]; then

	cat /tmp/url.txt

	hostip=$(cat /tmp/url.txt | cut -f 3 -d /);

	if [ -z $hostip ]; then

		echo no active stream has been found for the account : $1
		echo the stream connection has been abandoned.
		exit 3

	fi

	echo Account : $1
	echo Stream  : $hostip
	echo Script  : $2
	echo Region  : $region

	bash $2 $hostip $region
else
	echo unable to retrieve the regional stream url for the specified account : $1
	exit 6
fi

# end of file

