#!/bin/bash
#--------------------------------------------
# FFMPEG WSD
# -----------
# A websocket demon server which will receive
# AV output from a JS capture for delivery to
# the TCP socket input of the standard FFMPEG
# DASH and HLS packaging origin server.
#--------------------------------------------
echo websocket:server:installation:enter $(date)
#--------------------------------------------
# read the common FFMPEG library
# -------------------------------------------
. ./ffmpeg_common.sh

# ------------------------------------
# parameter 1 : web socket server port
# ------------------------------------
export source=$1
if [ -z "$source" ]; then
	export source=8184
fi

# ---------------------------------------
# parameter 2 : cross origin host address
# ---------------------------------------
export origin=$2
if [ -z "$origin" ]; then
	export origin=https://www.sound-stream.eu
fi

# ----------------------------
# target service host and port
# ----------------------------
export host=localhost
export target=${tcpport}
if [ -z "$target" ]; then
	export target=8185
fi

# -------------------------------------
# protocol, security, agent and options
# -------------------------------------
export wsd=./wsd
export protocol=SoundStream
export tls=/home/cosacs/security/wsdTls.xml
export agent=SoundStream
export flags=--verbose

# ------------------------------------
# launch the web socket server forever
# ------------------------------------

while [ 1 > 0 ]; do

	echo websocket:server:start $(date)
	echo ${wsd} --origin ${origin} --source ${source} --target ${target} --host ${host} --protocol ${protocol} --tls ${tls} ${flags} ${agent}
	${wsd} --origin ${origin} --source ${source}  --target ${target} --host ${host} --protocol ${protocol} --tls ${tls} ${flags} ${agent}
	echo websocket:server:stop $(date)

done

echo websocket:server:installation:leave $(date)
#---
#eof
#---

